Bug 1628943 - ghostscript 9.24 breaks import of eps with scribus
Summary: ghostscript 9.24 breaks import of eps with scribus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 13:05 UTC by Michael J Gruber
Modified: 2018-12-14 20:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 21:41:21 UTC


Attachments (Terms of Use)
gs errors (840 bytes, text/plain)
2018-09-14 13:09 UTC, Michael J Gruber
no flags Details
gs out (52 bytes, text/plain)
2018-09-14 13:09 UTC, Michael J Gruber
no flags Details
testcase (23.53 KB, image/x-eps)
2018-09-14 13:20 UTC, Michael J Gruber
no flags Details


Links
System ID Priority Status Summary Last Updated
Ghostscript 699780 None None None 2018-09-17 11:26:26 UTC

Description Michael J Gruber 2018-09-14 13:05:15 UTC
Description of problem:
After the update to 9.24-1 of ghostscript, importing eps in scribus stopped working.

Version-Release number of selected component (if applicable):
9.24-1

How reproducible:
always

Steps to Reproduce:
1. scribus testfile.eps

Actual results:
gs error message on console, scribus error message (ftal error), empty import window

Expected results:
successful import

Additional info:
The eps in question worked before.
It still works after downgrading ghostscipt to 9.23-1.
It does not work with 9.24-2 nor 9.24-3 from koji.
The eps in question uses CMYK colors.

Comment 1 Michael J Gruber 2018-09-14 13:09:15 UTC
Created attachment 1483329 [details]
gs errors

Comment 2 Michael J Gruber 2018-09-14 13:09:46 UTC
Created attachment 1483330 [details]
gs out

Comment 3 Michael J Gruber 2018-09-14 13:11:05 UTC
Console message:

PostScript import failed when calling gs as:
-q -dNOPAUSE -dNODISPLAY -dBATCH -dDELAYBIND -g1236x1336 -r288 -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -c 0 0 translate -sTraceFile=/home/mjg/.scribus//ps.out -sExportFiles=/home/mjg/redacted /usr/lib64/scribus/import.prolog /home/mjg/redacted2.eps -c flush cfile closefile quit

Comment 4 Michael J Gruber 2018-09-14 13:20:59 UTC
Created attachment 1483332 [details]
testcase

Comment 5 Michael J Gruber 2018-09-17 10:03:39 UTC
Additional info:

- The same import problem exists with EPS exported by scribus.

- The same import problem exists with a test build of scribus 1.4.7 (which apparantly fixes an incompatibility between scribus and gs 1.22) and a test build of ghostscript 9.25 (which contains more fixes to the SAFER/DELAYBIND issues).

- With gostscript 9.23-1, scribus 1.4.6 imports all these EPS happily (the test case above, as well as the exports by scribus 1.4.6 and 1.4.7).

Comment 6 David Kaspar [Dee'Kej] 2018-09-17 11:26:26 UTC
The import failed for me with ghostscript-9.25 also, so I have forwarded this to upstream. It is possible this bug might need fixing in scribus instead.

Comment 7 Michael J Gruber 2018-09-17 11:44:39 UTC
(In reply to David Kaspar [Dee'Kej] from comment #6)
> The import failed for me with ghostscript-9.25 also, so I have forwarded
> this to upstream. It is possible this bug might need fixing in scribus
> instead.

Thanks.

I suspect that scribus' import.prolog and the new safer gs are at odds.

Given that scribus "just" released their final version for the 1.4 branch (1.4.7) we'd probably have to patch downstream. The scribus 1.5 uses a different importer (poppler based).

Indeed: 1.5.4 from copr luya/scribus imports all these EPS just fine whether my ghostscript is at or 9.24-1 or 9.23-1 (which is not used by scribus 1.5.x).

Comment 8 David Kaspar [Dee'Kej] 2018-09-17 12:59:59 UTC
OK, so upstream has just confirmed it. Scribus is using non-standard PS, and the support for it has been removed. Fortunately, it seems like it can be fixed in an easy way...

In either case, this needs to be fixed in scribus itself, preferably upstream.

Comment 9 Michael J Gruber 2018-09-17 14:24:59 UTC
https://src.fedoraproject.org/rpms/scribus/pull-request/2

contains a hotfix to make scribus 1.4.6 imports work with the current ghostscript again. I'll try and take care of upstreaming unless you (Fedora packager) prefer to do so.

Comment 10 Michael J Gruber 2018-09-17 18:55:06 UTC
https://bugs.scribus.net/view.php?id=15431

Comment 11 Michael J Gruber 2018-09-18 07:25:13 UTC
... and applied upstream in the 1.4.x branch (fixed in 1.4.8svn) as per:

https://bugs.scribus.net/view_all_bug_page.php?filter=194275

------------------------------------------------------------------------
r22696 | jghali | 2018-09-17 23:36:54 +0200 (Mon, 17 Sep 2018) | 1 line
Changed paths:
   M /branches/Version14x/Scribus/scribus/plugins/import/ps/import.prolog

#15431: EPS import fails with ghostscript 9.24+
------------------------------------------------------------------------

Comment 12 Sergi 2018-11-05 22:15:36 UTC
Thanks Michael! Just merged your PR, right now building for f30 and will backport it to f29 later.

Comment 13 Fedora Update System 2018-11-07 23:14:45 UTC
scribus-1.4.6-14.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ac19f080b5

Comment 14 Fedora Update System 2018-11-08 05:20:40 UTC
scribus-1.4.6-14.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ac19f080b5

Comment 15 Fedora Update System 2018-11-10 23:25:20 UTC
scribus-1.4.6-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c6d59359c

Comment 16 Fedora Update System 2018-11-11 04:58:22 UTC
scribus-1.4.6-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c6d59359c

Comment 17 Sergi 2018-11-15 21:33:12 UTC
Michael, could you please confirm that the builds are fixing the reported issue? If so please give karma on any of the erratas.

Thanks!

Comment 18 Michael J Gruber 2018-11-16 09:53:14 UTC
Done

Comment 19 Fedora Update System 2018-11-22 03:20:25 UTC
scribus-1.4.6-14.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 21 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.


Note You need to log in before you can comment on or make changes to this bug.